## amarok 2.4.0

=== debian/changelog ===
amarok (2:2.4.0-0ubuntu5.1) natty-proposed; urgency=low

  * Don't run dh_scour as it causes rendering bugs. (LP: #786192)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 May 2011 11:26:33 +0200

amarok (2:2.4.0-0ubuntu5) natty; urgency=low

  * Add 15_mpris2_fix_wrong_status.diff from master, correctly update
    the playback status property
  * Add 16_mpris2_update_metadata.diff from Aurelien Gateau, notify the
    outside world of track changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Apr 2011 13:14:00 +0100

amarok (2:2.4.0-0ubuntu4) natty; urgency=low

  * Rebuild with libindicate-qt 0.2.5.91-0ubuntu2 to fix dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 13:38:11 +0000

amarok (2:2.4.0-0ubuntu3) natty; urgency=low

  * Build against libindicate-qt 0.2.5.91 for soname transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Feb 2011 18:00:24 +0000

amarok (2:2.4.0-0ubuntu2) natty; urgency=low

  * Restore ampache support. (LP: #706055)
    - Install libampache_account_login.so
  * Don't depend on phonon-backend, the phonon package already takes
    care of this.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 Jan 2011 13:36:38 +0100

amarok (2:2.4.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Adapt patches to new upstream version.
  * Reactivate mysqle_amarok_local_errmsg_feature.diff.
  * Drop kubuntu/11_soundmenu_mpris2.0.diff, merged upstream.
  * Drop kubuntu/13_arm_compile.diff, merged upstream.
  * Add kubuntu/14_soundmenu_fix_desktop_file_path.diff to fix Amarok not
    registering with the sound indicator menu. (LP: #693316)

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 12 Jan 2011 01:10:22 +0100

amarok (2:2.3.90-0ubuntu2) natty; urgency=low

  * Add kubuntu/13_arm_compile.diff to fix compile on ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Dec 2010 16:25:23 +0000

amarok (2:2.3.90-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * Disable mysqle_amarok_local_errmsg_feature.diff, files gone
  * Disable kubuntu/11_soundmenu_mpris2.0.diff no longer applies
  * Remove kubuntu/13_validate_xml.diff now upstream
  * Remove kubuntu/14_initial_applet_size.diff upstream
  * No not add build-dep on libofa0-dev, this requires libavcodecs which
    can not go on the CD

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Dec 2010 18:04:33 +0000

amarok (2:2.3.2-0ubuntu6) natty; urgency=low

  * In 03_restricted_install.diff install gstreamer instead of xine
    plugin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Nov 2010 16:53:57 +0000

amarok (2:2.3.2-0ubuntu5) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a-0ubuntu2 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 07:15:54 +0200

=== debian/control ===
Source: amarok
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@ubuntu.com>
XSBC-Original-Maintainer: Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libtag1-dev (>= 1.6-2~), libtag-extras-dev (>= 1.0.1),
 kdelibs5-dev (>= 4:4.4.0), libsoprano-dev (>= 2.1.67),
 libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
 libnjb-dev, libifp-dev, libmtp-dev (>= 0.3.0),
 libglib2.0-dev, libgpod-dev (>= 0.7.0),
 libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
 libqt4-opengl-dev, libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
 libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3), libindicate-qt-dev (>= 0.2.5.91)
Build-Depends-Indep: mysql-server-5.1 (>= 5.1.26rc)
Standards-Version: 3.8.4
Homepage: http://amarok.kde.org
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/amarok/ubuntu
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/amarok/ubuntu

Package: amarok
Architecture: any
Depends: amarok-common (= ${source:Version}), amarok-utils (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends},
 libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml, libqtscript4-sql, libqtscript4-uitools
Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0), libqt4-sql-sqlite
Suggests: libxine1-ffmpeg, libqt4-sql-mysql, libqt4-sql-psql, moodbar
Conflicts: amarok-engine-xine (<< 2), amarok-engine-yauap (<< 2)
Description: easy to use media player based on the KDE Platform
 Amarok is a powerful music player with an intuitive interface. It makes
 playing the music you love and discovering new music easier than ever before
 and it looks good doing it! Amarok is based on the powerful Qt4 / KDE4
 Platform and nicely integrates with KDE desktop.
 .
 Much work has been invested into integrating Amarok 2 with various Web
 services:
   - Ampache
   - Jamendo Service
   - Last.fm
   - Librivox
   - MP3tunes
   - Magnatune
   - OPML Podcast Directory
 .
 Amarok comes with a lot of features including but not limited to:
   - Scripts - enhance your Amarok experience with community developed scripts.
   - Dynamic Playlists - create playlists that automatically update.
   - Context View - customize interface with the Plasma powered Context View.
   - PopUp Dropper - simplify drag&drop actions with revolutionary menu system.
   - Multiple Language Translations
   - Collection Management - organizing your music collection has never been
     easier with Amarok's powerful tagging, renaming, and sorting abilities.
   - Database Importing - import collections from Amarok 1.4 or iTunes.
   - Scriptable Services - integrate other web services into Amarok.

Package: amarok-common
Architecture: all
Depends: ${misc:Depends}
Recommends: amarok (>= ${source:Version})
Description: architecture independent files for Amarok
 This package contains architecture independent files needed for Amarok to run
 properly. Therefore, unless you have 'amarok' package of the same version
 installed, you will hardly find this package useful.

Package: amarok-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: amarok (<< 2.1.80-1~)
Description: utilities for Amarok media player
 This package contains command line utilities that are typically used by Amarok
 media player but might also be useful on systems without Amarok installed.
 They are designed to be lightweight as they do not depend on KDE libraries.
 .
 Currently the package contains the following utilities:
   - amarokcollectionscanner - scans audio files, collects information from
     file tags and prints it in the structured XML format.
   - amarok_afttagger - a helper program which writes/removes custom tags
     to/from media files required for embedded "Amarok File Tracking".

Package: amarok-dbg
Priority: extra
Section: debug
Architecture: any
Depends: amarok (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg
Description: debugging symbols for Amarok
 This package provides debugging symbols for all binary packages built from
 amarok source package. It's highly recommended to have this package installed
 before reporting any Amarok crashes to either Amarok developers or Debian
 package maintainers.

=== debian/rules ===
#!/usr/bin/make -f

# TopGit support
ifneq (,$(shell which tg))
QUILT_PATCH_DIR := debian/patches
include /usr/share/topgit/tg2quilt.mk
endif

export KUBUNTU_DESKTOP_POT=extragear-multimedia_amarok

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_install:
	dh_install
	# Copy English errmsg.sys from mysql-server package
	if [ -d debian/amarok-common ]; then \
	    cp -a /usr/share/mysql/english/errmsg.sys debian/amarok-common/usr/share/kde4/apps/amarok/mysqle/; \
	fi

override_dh_makeshlibs:
	dh_makeshlibs "-Xusr/lib/kde4/*"

override_dh_scour:
	# don't run as it causes rendering bugs

%:
	dh --with kde --parallel --dbg-package=amarok-dbg $@

.PHONY: override_dh_auto_test

## amarok 2.4.1

=== debian/changelog ===
amarok (2.4.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * No source changes needed.

 -- Modestas Vainius <modax@debian.org>  Wed, 01 Jun 2011 15:44:19 +0300

amarok (2.4.1-1) unstable; urgency=low

  * New upstream release.
  * No longer recommend phonon-backend-xine. Stick to what phonon metapackage
    depends on.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Drop backport_fix_plugin_version.diff, it was backported from upstream.
  * Call dh in compat=8 compliant way.

 -- Modestas Vainius <modax@debian.org>  Sun, 08 May 2011 00:21:26 +0300

amarok (2.4.1~beta1-1) experimental; urgency=low

  * New upstream beta release.
  * Drop backport_mute_button_fix.diff - backported from upstream.
  * Build depend on libqjson-dev.
  * Update install files.
  * Override amarok: embedded-library ... : libmysqlclient.
  * Backport a patch as recommended by upstream to fix plugin version
    (backport_fix_plugin_version.diff).

 -- Modestas Vainius <modax@debian.org>  Sun, 20 Mar 2011 17:50:14 +0200

amarok (2.4.0-2) unstable; urgency=low

  * Make amarok-dbg suggest libqtwebkit4-dbg.
  * Build depend on libqtwebkit-dev | libqt4-dev (<< 4:4.7.0). Closes: #618209
  * Backport backport_mute_button_fix.diff patch to really fix mute button.
    (Closes: #600159)

 -- Modestas Vainius <modax@debian.org>  Sun, 20 Mar 2011 16:00:14 +0200

amarok (2.4.0-1) unstable; urgency=low

  * New upstream release:
    - unmute should work properly. (Closes: #600159)
  * Remove patches previously backported from upstream:
    - backport_FLAC_BPM_tags_fix.diff;
    - 0001-Re-add-some-tests-for-unprintable-but-also-invalid-c.patch.
  * Refresh debian_disable_qtscriptbindings_check_fix.diff patch.
  * Adapt debian_mysqle_amarok_local_errmsg_feature.diff to upstream changes.
  * Build depend on libavformat-dev (>= 4:0.5).
  * Update install files.
  * Build depend on libofa0-dev.
  * Update lintian-overrides.
  * Add mysql-server-core-5.1 as a preferred alternative to mysql-server-5.1 in
    Build-Depends-Indep.

 -- Modestas Vainius <modax@debian.org>  Fri, 14 Jan 2011 22:39:04 +0200

amarok (2.3.2-2) experimental; urgency=low

  * Backport 0001-Re-add-some-tests-for-unprintable-but-also-invalid-c.patch
    as per upstream suggestion in order to fix problems in the collection
    scanner emitting non-well-formed XML when unprintable characters are
    encountered in the tags of the audio files.

 -- Modestas Vainius <modax@debian.org>  Sat, 25 Sep 2010 13:02:26 +0300

amarok (2.3.2-1) experimental; urgency=low

  * New upstream release:
    - Amarok ships documentation now;
    - tray icon is back in non-KDE environments; (Closes: #587720, #572757)
    - solves a bunch of dynamic collection problems; (Closes: #539471)
    - fixes saving of last.fm account data outside kwallet; (Closes: #550890)
    - fixes crash when scanning media collection/library. (Closes: #585102)
  * Drop debian/mysql_no_openssl_fix.diff patch, the problem was fixed upstream
    differently.
  * Adapt debian/mysqle_amarok_local_errmsg_feature.diff patch to upstream
    changes.
  * Refresh disable_qtscriptbindings_check_fix.diff patch.
  * Move patches out of debian/ subdir and prefix their filenames with debian_
    instead.
  * Bump Standards-Version to 3.9.1: add Breaks next to Replaces for
    amarok-utils.
  * Backport FLAC BPM tag fix as requested by upstream (patch
    backport_FLAC_BPM_tags_fix.diff).
  * Bump libmtp-dev dependency to 1.0.0 (following upstream requirement).
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Tue, 21 Sep 2010 02:09:53 +0300

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: amarok
 Section: sound
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@ubuntu.com>
-XSBC-Original-Maintainer: Modestas Vainius <modax@debian.org>
+Maintainer: Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
  libtag1-dev (>= 1.6-2~), libtag-extras-dev (>= 1.0.1),
- kdelibs5-dev (>= 4:4.4.0), libsoprano-dev (>= 2.1.67),
+ libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
+ kdelibs5-dev (>= 4:4.3.0), libsoprano-dev (>= 2.1.67),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
- libnjb-dev, libifp-dev, libmtp-dev (>= 0.3.0),
- libglib2.0-dev, libgpod-dev (>= 0.7.0),
+ libnjb-dev, libifp-dev, libmtp-dev (>= 1.0.0), libqjson-dev,
+ libglib2.0-dev, libgpod-nogtk-dev (>= 0.7.0) | libgpod-dev (>= 0.7.0),
  libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
  libqt4-opengl-dev, libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
- libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3), libindicate-qt-dev (>= 0.2.5.91)
-Build-Depends-Indep: mysql-server-5.1 (>= 5.1.26rc)
-Standards-Version: 3.8.4
+ libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3),
+ libavformat-dev (>= 4:0.5), libofa0-dev
+Build-Depends-Indep: mysql-server-core-5.1 | mysql-server-5.1
+Standards-Version: 3.9.2
 Homepage: http://amarok.kde.org
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/amarok/ubuntu
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/amarok/ubuntu
+Vcs-Git: git://git.debian.org/git/users/modax/amarok.git
+Vcs-Browser: http://git.debian.org/?p=users/modax/amarok.git
 
 Package: amarok
 Architecture: any
 Depends: amarok-common (= ${source:Version}), amarok-utils (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends},
  libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml, libqtscript4-sql, libqtscript4-uitools
-Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0), libqt4-sql-sqlite
-Suggests: libxine1-ffmpeg, libqt4-sql-mysql, libqt4-sql-psql, moodbar
+Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0)
+Suggests: libxine1-ffmpeg, libqt4-sql-sqlite, libqt4-sql-mysql, libqt4-sql-psql, moodbar
 Conflicts: amarok-engine-xine (<< 2), amarok-engine-yauap (<< 2)
 Description: easy to use media player based on the KDE Platform
  Amarok is a powerful music player with an intuitive interface. It makes
@@ -67,6 +68,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: amarok (<< 2.1.80-1~)
+Breaks: amarok (<< 2.1.80-1~)
 Description: utilities for Amarok media player
  This package contains command line utilities that are typically used by Amarok
  media player but might also be useful on systems without Amarok installed.
@@ -84,6 +86,7 @@
 Architecture: any
 Depends: amarok (= ${binary:Version}), ${misc:Depends}
 Recommends: kdelibs5-dbg
+Suggests: libqtwebkit4-dbg
 Description: debugging symbols for Amarok
  This package provides debugging symbols for all binary packages built from
  amarok source package. It's highly recommended to have this package installed

=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_install:
	dh_install
	# Copy English errmsg.sys from mysql-server package
	if [ -d debian/amarok-common ]; then \
	    cp -a /usr/share/mysql/english/errmsg.sys debian/amarok-common/usr/share/kde4/apps/amarok/mysqle/; \
	fi

override_dh_makeshlibs:
	dh_makeshlibs "-Xusr/lib/kde4/*"

override_dh_builddeb:
	dh_builddeb -pamarok-dbg -- -Zbzip2
	dh_builddeb --remaining-packages

%:
	dh $@ --with kde --parallel --dbg-package=amarok-dbg

.PHONY: override_dh_auto_test

## amarok 2.4.3

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(bs)
add_subdirectory(zh_CN)
add_subdirectory(lt)
add_subdirectory(fr)
add_subdirectory(sr)
add_subdirectory(ga)
add_subdirectory(zh_TW)
add_subdirectory(uk)
add_subdirectory(et)
add_subdirectory(de)
add_subdirectory(ru)
add_subdirectory(ja)
add_subdirectory(sr@latin)
add_subdirectory(cs)
add_subdirectory(sl)
add_subdirectory(pa)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(pt)
add_subdirectory(en_GB)
add_subdirectory(ca)
add_subdirectory(nl)
add_subdirectory(wa)
add_subdirectory(ca@valencia)
add_subdirectory(es)
add_subdirectory(sv)
add_subdirectory(fi)
add_subdirectory(sr@ijekavian)
add_subdirectory(el)
add_subdirectory(da)
add_subdirectory(it)
add_subdirectory(gl)
add_subdirectory(nb)
add_subdirectory(pl)
add_subdirectory(pt_BR)

=== src/services/CMakeLists.txt ===
include_directories(
                    ${KDE4_INCLUDE_DIR}
                    ${QT_INCLUDES}
                    ${Amarok_SOURCE_DIR}/src
                   )

add_subdirectory( magnatune )
add_subdirectory( jamendo )
add_subdirectory( mp3tunes )
add_subdirectory( ampache )
if (LIBMYGPO_QT_FOUND )
    add_subdirectory( gpodder )
endif( LIBMYGPO_QT_FOUND )
if( LIBLASTFM_FOUND )
    add_subdirectory( lastfm )
endif( LIBLASTFM_FOUND )
add_subdirectory( opmldirectory )

=== src/services/ampache/CMakeLists.txt ===
        include_directories(
            ../
            ${Amarok_SOURCE_DIR}/src/
            ${Amarok_SOURCE_DIR}/src/core-impl/collections
            ${Amarok_SOURCE_DIR}/src/network
            ${Amarok_SOURCE_DIR}/src/servicebrowser
            ${Amarok_SOURCE_DIR}/src/statusbar
            ${CMAKE_CURRENT_BINARY_DIR}/../../..
            ${KDE4_INCLUDE_DIR}
            ${STRIGI_INCLUDE_DIR}
            ${QT_INCLUDES}
            )

if( LIBLASTFM_FOUND )
    include_directories(
        ${LIBLASTFM_INCLUDE_DIR}/..
    )
endif( LIBLASTFM_FOUND )

add_subdirectory( images )

########### next target ###############

set(libampache_account_login_SRCS
    AmpacheAccountLogin.cpp
    sha256/sha256.cpp)
kde4_add_library(ampache_account_login SHARED ${libampache_account_login_SRCS})
target_link_libraries(ampache_account_login
    amaroklib
    amarokcore
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
)
install(TARGETS ampache_account_login DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############
        set(amarok_service_ampache_PART_SRCS 
            AmpacheService.cpp
            AmpacheServiceCollection.cpp
            AmpacheServiceQueryMaker.cpp
            AmpacheMeta.cpp
            AmpacheConfig.cpp
        )
        if( LIBLASTFM_FOUND )
            set(amarok_service_ampache_PART_SRCS
                ${amarok_service_ampache_PART_SRCS}
                LastfmInfoParser.cpp )
        endif( LIBLASTFM_FOUND )



        kde4_add_plugin(amarok_service_ampache ${amarok_service_ampache_PART_SRCS})
        target_link_libraries(amarok_service_ampache
            ampache_account_login
            amarokcore
            amaroklib
            ${KDE4_KDECORE_LIBS}
            ${KDE4_KDEUI_LIBS}
            ${KDE4_KIO_LIBS}
            ${KDE4_THREADWEAVER_LIBRARIES}
            ${QT_QTXML_LIBRARY}
        )
        if( LIBLASTFM_FOUND )
            target_link_libraries(amarok_service_ampache
                ${LIBLASTFM_LIBRARY}
            )
        endif( LIBLASTFM_FOUND )


        install(TARGETS amarok_service_ampache DESTINATION ${PLUGIN_INSTALL_DIR} )


########### next target ###############

        set(kcm_amarok_service_ampache_PART_SRCSS AddServerDialog.cpp AmpacheSettings.cpp AmpacheConfig.cpp )

        kde4_add_ui_files( kcm_amarok_service_ampache_PART_SRCSS AmpacheConfigWidget.ui NewServerWidget.ui )


        kde4_add_plugin( kcm_amarok_service_ampache ${kcm_amarok_service_ampache_PART_SRCSS} )


        target_link_libraries( kcm_amarok_service_ampache
            ampache_account_login ${KDE4_KUTILS_LIBS} ${QT_QTCORE_LIBRARY}
            ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBRARY} ${KDE4_KDEUI_LIBS} )

        install(TARGETS kcm_amarok_service_ampache  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

        install( FILES amarok_service_ampache.desktop DESTINATION ${SERVICES_INSTALL_DIR})
        install( FILES amarok_service_ampache_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/context/engines/tabs/CMakeLists.txt ===
include_directories( ../../..
                     ../../../context
                     ${Amarok_SOURCE_DIR}/src/network
                     ${CMAKE_CURRENT_BINARY_DIR}/../../.. # for amarok_config.h
)

set( tabs_engine_SRCS TabsEngine.cpp TabsInfo.h )

kde4_add_plugin(amarok_data_engine_tabs ${tabs_engine_SRCS})
target_link_libraries( amarok_data_engine_tabs amarokcore amaroklib ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS})

install( TARGETS amarok_data_engine_tabs DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES amarok-data-engine-tabs.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== src/core-impl/collections/ipodcollection/CMakeLists.txt ===
if(NOT GDKPIXBUF_FOUND)
  set(GDKPIXBUF_INCLUDE_DIR "")
  set(GDKPIXBUF_LIBRARY "")
endif(NOT GDKPIXBUF_FOUND)

if(IPOD_FOUND AND WITH_IPOD)

  include_directories( ../..
    ../../collections
    ../../metadata/audible
    ../mediadevicecollection
    ../mediadevicecollection/support
    ../mediadevicecollection/handler
    ../mediadevicecollection/handler/capabilities
    handler
    handler/capabilities
    support
    ${GLIB2_INCLUDE_DIR}
    ${GDKPIXBUF_INCLUDE_DIR}
    ${GOBJECT_INCLUDE_DIR}
    ${IPOD_INCLUDE_DIRS}
    ${CMAKE_BINARY_DIR}/src
    ${AMAROK_COLLECTION_SUPPORT_DIR}
    ${KDE4_INCLUDE_DIR}
    ${QT_INCLUDES}
  )

  ########### set GDKPIXBUF var ##########
  # Generate config-gdk.h.cmake
  configure_file(config-gdk.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/config-gdk.h
  )

  ########### next target ################
  set(amarok_collection-ipodcollection_PART_SRCS
    IpodCollection.cpp
    handler/IpodHandler.cpp
    handler/capabilities/IpodArtworkCapability.cpp
    handler/capabilities/IpodPlaylistCapability.cpp
    handler/capabilities/IpodReadCapability.cpp
    handler/capabilities/IpodWriteCapability.cpp	
    support/IpodDeviceInfo.cpp
    support/IpodConnectionAssistant.cpp
  )

  link_directories(${IPOD_LIBRARY_DIRS})

  kde4_add_plugin(amarok_collection-ipodcollection ${amarok_collection-ipodcollection_PART_SRCS})

  target_link_libraries(amarok_collection-ipodcollection
    amarokcore
    amaroklib
    amarokpud
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_SOLID_LIBRARY}
    ${KDE4_THREADWEAVER_LIBRARIES}
    ${QT_QTGUI_LIBRARY}
    ${GLIB2_LIBRARIES}
    ${GDKPIXBUF_LIBRARY}
    ${IPOD_LIBRARIES}
    ${GOBJECT_LIBRARIES}
  )

  install(TARGETS 
    amarok_collection-ipodcollection 
    DESTINATION 
    ${PLUGIN_INSTALL_DIR}
  )

  ########### install files ###############

  install(FILES 
    amarok_collection-ipodcollection.desktop 
    DESTINATION 
    ${SERVICES_INSTALL_DIR}
  )

endif (IPOD_FOUND AND WITH_IPOD)

=== src/core-impl/collections/nepomukcollection/CMakeLists.txt ===

include_directories( ../..
   ../../collection
   ../../dialogs
#./search-api
   ${CMAKE_CURRENT_BINARY_DIR}/../..
   ${KDE4_INCLUDE_DIR}
   ${QT_INCLUDES} 
   ${NEPOMUK_INCLUDES}
   ${SOPRANO_INCLUDE_DIR})


########### next target ###############

set(amarok_collection-nepomukcollection_PART_SRCS
   NepomukAlbum.cpp
   NepomukCollection.cpp
   NepomukComposer.cpp
   NepomukGenre.cpp
   NepomukQueryMaker.cpp
   NepomukRegistry.cpp
   NepomukArtist.cpp
   NepomukTrack.cpp
   NepomukYear.cpp)
#./search-api/query.cpp
#   ./search-api/queryparser.cpp
#   ./search-api/searchcore.cpp
#   ./search-api/searchthread.cpp
#  ./search-api/term.cpp
#   ./search-api/searchresult.cpp


kde4_add_plugin(amarok_collection-nepomukcollection ${amarok_collection-nepomukcollection_PART_SRCS})

target_link_libraries(amarok_collection-nepomukcollection 
    amarokcore
    amaroklib
    amarokpud
    ${KDE4_THREADWEAVER_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${NEPOMUK_LIBRARIES}
    ${SOPRANO_LIBRARIES})

if(APPLE)
	SET_TARGET_PROPERTIES(amarok_collection-nepomukcollection PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

install(TARGETS amarok_collection-nepomukcollection DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES amarok_collection-nepomukcollection.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/services/gpodder/images/CMakeLists.txt ===
install(
        FILES
        mygpo.png
        DESTINATION ${DATA_INSTALL_DIR}/amarok/images
)

=== debian/changelog ===
amarok (2:2.4.3-1ubuntu2) oneiric; urgency=low

  * Remove kubuntu_restricted_install.diff. Phonon-GStreamer (the default
    Phonon backend) handles plugin installation itself.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 16 Sep 2011 16:54:45 +0200

amarok (2:2.4.3-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Don't build-depend on libavformat-dev and libofa0-dev as libavcodec*
      is not allowed on cd images.
    - Don't compress amarok-dbg with bzip2 as pkg-kde-tools uses lzma for
      all packages.
    - Set KUBUNTU_DESKTOP_POT in debian/rules.
    - Add epoch "2:" to the version number.
    - Keep the following patches:
      + kubuntu/03_restricted_install.diff
      + kubuntu/07_dont_ask_music_dir.diff
  * Drop kubuntu/14_soundmenu_fix_desktop_file_path.diff and
    kubuntu/16_mpris2_update_metadata.diff, applied upstream.
  * Only install the documentation files that are actually used.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 01 Aug 2011 19:31:55 +0200

amarok (2.4.3-1) unstable; urgency=low

  * New upstream release.
  * Switch Vcs-* field to kde-extras repository. (Closes: #635292)
  * Drop backport_no_kwallet_prompt_on_track_change.patch and
    backport_arm_build_fix.patch - integrated upstream.
  * Add upstream_fix_lyrics_autorefresh_in_some_cases.patch to fix lyrics
    autorefresh in some cases.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Jul 2011 18:00:09 +0300

amarok (2.4.2-2) unstable; urgency=low

  * Fix FTBFS on armel (backport_arm_build_fix.patch).

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Jul 2011 17:29:30 +0300

amarok (2.4.2-1) unstable; urgency=low

  * New upstream release.
  * Switch maintainer to Debian KDE Extras team, add myself to Uploaders,
    document committing/uploading rules in README.source.
  * Update documentation about Phonon backends in Amarok bug-presubj.
    (Closes: #629208)
  * Adapt debian_disable_qtscriptbindings_check_fix.diff to upstream changes.
  * Add ${perl:Depends} to amarok-common Depends.
  * Update install files.
  * Backport a patch to fix a bug which caused KWallet to prompt for a password
    on every track change (backport_no_kwallet_prompt_on_track_change.patch).
  * Override lintian "amarok: no-symbols-control-file".
  * Drop amarok-engine-xine (<< 2) and amarok-engine-yauap (<< 2) from amarok
    Conflicts. No longer relevant for stable.

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Jul 2011 12:26:59 +0300

amarok (2.4.1-2) unstable; urgency=low

  * Build depend on kdelibs5-dev 4:4.5 and ship plugins for NFS and SMB
    collection support. (Closes: #620741)

 -- Modestas Vainius <modax@debian.org>  Wed, 01 Jun 2011 15:10:31 +0300

amarok (2:2.4.1-1ubuntu2) oneiric; urgency=low

  * Rebuild with scour disabled in pkg-kde-tools as it caused rendering
    bugs. (LP: #786192)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 May 2011 10:17:43 +0200

amarok (2:2.4.1-1ubuntu1) oneiric; urgency=low

  [ Felix Geyer ]
  * Merge from Debian unstable, remaining changes:
    - Build-depend on GTK version of libgpod.
    - Don't build-depend on libavformat-dev and libofa0-dev as libavcodec*
      is not allowed on cd images.
    - Don't compress amarok-dbg with bzip2 as pkg-kde-tools uses lzma for
      all packages.
    - Set KUBUNTU_DESKTOP_POT in debian/rules. 
    - Keep the following patches:
      + kubuntu/03_restricted_install.diff
      + kubuntu/07_dont_ask_music_dir.diff
      + kubuntu/14_soundmenu_fix_desktop_file_path.diff
      + kubuntu/16_mpris2_update_metadata.diff
  * Drop kubuntu/10_soundmenu_support.diff, not needed anymore.
    - Drop libindicate-qt-dev from build-deps.
  * Drop kubuntu/12_appmenu_fix.diff, merged upstream.
  * Drop kubuntu/15_mpris2_fix_wrong_status.diff, fixed upstream.
  * Move all patches from patches/kubuntu/ to patches/ and remove the numbers
    in the filenames.

  [ Tarun Kumar Mall ]
  * kubuntu_restricted_install.diff: adapt to new upstream version.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 08 May 2011 17:15:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: amarok
 Section: sound
 Priority: optional
-Maintainer: Modestas Vainius <modax@debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
  libtag1-dev (>= 1.6-2~), libtag-extras-dev (>= 1.0.1),
  libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
- kdelibs5-dev (>= 4:4.3.0), libsoprano-dev (>= 2.1.67),
+ kdelibs5-dev (>= 4:4.5), libsoprano-dev (>= 2.1.67),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libnjb-dev, libifp-dev, libmtp-dev (>= 1.0.0), libqjson-dev,
  libglib2.0-dev, libgpod-nogtk-dev (>= 0.7.0) | libgpod-dev (>= 0.7.0),
  libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
  libqt4-opengl-dev, libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
- libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3),
- libavformat-dev (>= 4:0.5), libofa0-dev
+ libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3)
 Build-Depends-Indep: mysql-server-core-5.1 | mysql-server-5.1
 Standards-Version: 3.9.2
 Homepage: http://amarok.kde.org
-Vcs-Git: git://git.debian.org/git/users/modax/amarok.git
-Vcs-Browser: http://git.debian.org/?p=users/modax/amarok.git
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/amarok
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/amarok
+XS-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/amarok.git
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/amarok.git
 
 Package: amarok
 Architecture: any
@@ -26,7 +29,6 @@
  libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml, libqtscript4-sql, libqtscript4-uitools
 Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0)
 Suggests: libxine1-ffmpeg, libqt4-sql-sqlite, libqt4-sql-mysql, libqt4-sql-psql, moodbar
-Conflicts: amarok-engine-xine (<< 2), amarok-engine-yauap (<< 2)
 Description: easy to use media player based on the KDE Platform
  Amarok is a powerful music player with an intuitive interface. It makes
  playing the music you love and discovering new music easier than ever before
@@ -56,7 +58,7 @@
 
 Package: amarok-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${perl:Depends}
 Recommends: amarok (>= ${source:Version})
 Description: architecture independent files for Amarok
  This package contains architecture independent files needed for Amarok to run

## amarok 2.5.0

=== debian/changelog ===
amarok (2.5.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * This version of amarok requires kdelibs 4.6, bump build dependency.
  * Bump compat to 9 in order to get automatic build flags handling.
  * Ship Russian documentation translations.
  * Add debian_find_mysql_fix.diff patch to fix MySQL detection at cmake stage.
  * Update install files.
  * Compress amarok-dbg package with xz.
  * Fix doc/nl build with kdelibs 4.6 (patch debian_fix_doc_nl_build.diff).

 -- Modestas Vainius <modax@debian.org>  Mon, 26 Dec 2011 14:04:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,24 @@
 Source: amarok
 Section: sound
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
+Build-Depends: debhelper (>= 8.9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
  libtag1-dev (>= 1.6-2~), libtag-extras-dev (>= 1.0.1),
  libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
- kdelibs5-dev (>= 4:4.5), libsoprano-dev (>= 2.1.67),
+ kdelibs5-dev (>= 4:4.6), libsoprano-dev (>= 2.1.67),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libnjb-dev, libifp-dev, libmtp-dev (>= 1.0.0), libqjson-dev,
  libglib2.0-dev, libgpod-nogtk-dev (>= 0.7.0) | libgpod-dev (>= 0.7.0),
  libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
  libqt4-opengl-dev, libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
- libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3)
+ libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3),
+ libavformat-dev (>= 4:0.5), libofa0-dev
 Build-Depends-Indep: mysql-server-core-5.1 | mysql-server-5.1
 Standards-Version: 3.9.2
 Homepage: http://amarok.kde.org
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/amarok
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/amarok
-XS-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/amarok.git
-XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/amarok.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/amarok.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/amarok.git
 
 Package: amarok
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	dh_makeshlibs "-Xusr/lib/kde4/*"
 
 override_dh_builddeb:
-	dh_builddeb -pamarok-dbg -- -Zbzip2
+	dh_builddeb -pamarok-dbg -- -Zxz
 	dh_builddeb --remaining-packages
 
 %:
